﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using System.Windows.Controls.Primitives;

namespace WpfApplication1
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}

		private ObservableCollection<My6ColumnObject> Get6ColumnData()
		{
			ObservableCollection<My6ColumnObject> c = new ObservableCollection<My6ColumnObject>();

			c.Add(new My6ColumnObject(-1, 2, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, -2, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, -3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, -4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, 4, -5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, 4, 5, -6));
			c.Add(new My6ColumnObject(-1, 2, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, -2, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, -3, 4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, -4, 5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, 4, -5, 6));
			c.Add(new My6ColumnObject(1, 2, 3, 4, 5, -6));
			c.Add(new My6ColumnObject(-1, 2, 3, 4, 5, 6));
			c.Add(new My6ColumnObject(9, -9, 9, 9, 9, 9));

			return c;
		}

		private void Window_Initialized(object sender, EventArgs e)
		{
			this.xamDataGrid1.DataSource = this.Get6ColumnData();
		}
	}

	public class My6ColumnObject
	{
		private int _column1 = 0;
		private int _column2 = 0;
		private int _column3 = 0;
		private int _column4 = 0;
		private int _column5 = 0;
		private int _column6 = 0;

		public My6ColumnObject()
		{
		}

		public My6ColumnObject(int column1, int column2, int column3, int column4, int column5, int column6)
		{
			this._column1 = column1;
			this._column2 = column2;
			this._column3 = column3;
			this._column4 = column4;
			this._column5 = column5;
			this._column6 = column6;
		}

		public int Column1Of6
		{
			get { return this._column1; }
			set { this._column1 = value; }
		}

		public int Column2Of6
		{
			get { return this._column2; }
			set { this._column2 = value; }
		}

		public int Column3Of6
		{
			get { return this._column3; }
			set { this._column3 = value; }
		}

		public int Column4Of6
		{
			get { return this._column4; }
			set { this._column4 = value; }
		}

		public int Column5Of6
		{
			get { return this._column5; }
			set { this._column5 = value; }
		}

		public int Column6Of6
		{
			get { return this._column6; }
			set { this._column6 = value; }
		}
	}

	/// <summary>
	/// Converts an integer value to a brush - negative values return red, non-negative values return null.
	/// </summary>
	public class CvpBackgroundBrushConverter : IValueConverter
	{
		#region IValueConverter Members

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			// If the cell's value is an integer and it's less than zero, return a red brush.
			if (value is int && (int)value < 0)
				return Brushes.Red;


			return null;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}

		#endregion
	}
}
